<?php
    include "koneksi.php";
    $id_pemenang = $_POST['id_pemenang'];
    $kode_pemenang = $_POST['kode_pemenang'];
    $nama_pemenang = $_POST['nama_pemenang'];
    $whatsapp_pemenang = $_POST['whatsapp_pemenang'];
    $id_voucher_pemenang_lama = $_POST['id_voucher_pemenang_lama'];
    $id_voucher_pemenang = $_POST['id_voucher_pemenang'];
    $id_hadiah_pemenang = $_POST['id_hadiah_pemenang'];
    $status_pemenang = $_POST['status_pemenang'];
    $proses = mysqli_query($koneksi, "UPDATE pemenang SET kode_pemenang = '$kode_pemenang', nama_pemenang = '$nama_pemenang', whatsapp_pemenang = '$whatsapp_pemenang', id_voucher_pemenang = '$id_voucher_pemenang', id_hadiah_pemenang = '$id_hadiah_pemenang', status_pemenang = '$status_pemenang' WHERE id_pemenang = '$id_pemenang'");
    if ($proses) {
        $proses2 = mysqli_query($koneksi, "UPDATE voucher SET id_hadiah_voucher = '0', status_voucher = 'Belum Digunakan' WHERE id_voucher = '$id_voucher_pemenang_lama'");
        if ($proses2) {
            $proses3 = mysqli_query($koneksi, "UPDATE voucher SET id_hadiah_voucher = '$id_hadiah_pemenang', status_voucher = 'Sudah Digunakan' WHERE id_voucher = '$id_voucher_pemenang'");
            if ($proses3) {
                header("location: index.php?page=pemenang&notif=berhasil_ubah_data");
            } else {
                echo "Proses Gagal<br>Error : ".$proses3."<br>".mysqli_error($koneksi);
            }
        } else {
            echo "Proses Gagal<br>Error : ".$proses2."<br>".mysqli_error($koneksi);
        }
    } else {
        echo "Proses Gagal<br>Error : ".$proses."<br>".mysqli_error($koneksi);
    }
?>